Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EOObjAttribute

    java.lang.Object
      org.apache.cayenne.map.Attribute
          org.apache.cayenne.map.ObjAttribute
              org.apache.cayenne.wocompat.EOObjAttribute

All Implemented Interfaces:
  java.io.Serializable, CayenneMapEntry, XMLSerializable

    public class EOObjAttribute

extends ObjAttribute

An EOObjAttribute is a mapping descriptor of a Java class property with added fields for WebObjects EOModel.

Author:
  Dario Bagatto
See Also:
  Serialized Form

Field Summary
`protected boolean` | `readOnly`

Fields inherited from class org.apache.cayenne.map.ObjAttribute
`dbAttributePath, type, usedForLocking`

Fields inherited from class org.apache.cayenne.map.Attribute
`entity, name`

Constructor Summary
`EOObjAttribute()`
`EOObjAttribute(java.lang.String name)`
`EOObjAttribute(java.lang.String name, java.lang.String type, ObjEntity entity)`

Method Summary
`boolean` | `getReadOnly()` Get the read only state of this attribute
`void` | `setReadOnly(boolean readOnly)` Sets the read only state of this attribute.

Methods inherited from class org.apache.cayenne.map.ObjAttribute
`encodeAsXML, getClientAttribute, getDbAttribute, getDbAttributeName, getDbAttributePath, getDbPathIterator, getJavaClass, getType, isCompound, isUsedForLocking, mapsToDependentDbEntity, setDbAttribute, setDbAttributeName, setDbAttributePath, setType, setUsedForLocking, validate`

Methods inherited from class org.apache.cayenne.map.Attribute
`getEntity, getName, getParent, setEntity, setName, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readOnly

    protected boolean readOnly

Constructor Detail

### EOObjAttribute

    public EOObjAttribute()

### EOObjAttribute

    public EOObjAttribute(java.lang.String name)

### EOObjAttribute

    public EOObjAttribute(java.lang.String name,
                          java.lang.String type,
                          ObjEntity entity)

Method Detail

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Sets the read only state of this attribute.

  Parameters:
    `readOnly` -

### getReadOnly

    public boolean getReadOnly()

  Get the read only state of this attribute

  Returns:
    read only state of this attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.